package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridPendingPeople;
import com.ruoyi.system.domain.grid.GridPendingPeopleExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridPendingPeopleMapper {
    long countByExample(GridPendingPeopleExample example);

    int deleteByExample(GridPendingPeopleExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridPendingPeople record);

    int insertSelective(GridPendingPeople record);

    List<GridPendingPeople> selectByExample(GridPendingPeopleExample example);

    GridPendingPeople selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridPendingPeople record, @Param("example") GridPendingPeopleExample example);

    int updateByExample(@Param("record") GridPendingPeople record, @Param("example") GridPendingPeopleExample example);

    int updateByPrimaryKeySelective(GridPendingPeople record);

    int updateByPrimaryKey(GridPendingPeople record);
}
